PAUSE(3)

NAME
pause - wait for a signal

SYNOPSIS
#include <unistd.h>
int
pause(void);

DESCRIPTION
pause() is obsoleted by sigsuspend(2).

pause() blocks the calling thread until it receives an unmasked signal.

RETURN VALUES
pause() always returns -1.

ERRORS
pause() always sets errno(2) to the following value:

[EINTR]
    The call was interrupted by a signal.

SEE ALSO
kill(2), setitimer(2), sigprocmask(2), sigsuspend(2), signal(3)

HISTORY
A pause() system call first appeared outside of Bell Labs in the “50 changes” tape for AT&T UNIX. It was first officially released with PWB/UNIX 1.0. It was reimplemented as a wrapper around the sigpause() and sigblock() system calls in 4.2BSD, and around the sigsuspend(2) and sigprocmask(2) system calls in 4.3BSD Reno.